<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

require("MandaCorreos/FuncionSendMail.php");
require "conexion/conectar.php";
require "libs/funciones.php";
$contacto=$_REQUEST['contacto'];
$telefono=$_REQUEST['telefono'];
$usr=$_REQUEST['usuario'];
$nombre=$_REQUEST['nombre'];
$email=$_REQUEST['email'];

$conexion = new CONDB();
$conexion->conectar();

$query="select rfc_cliente from usuariosweb where username='$usr'";
$rquery = mysqli_query($conexion->CONEXION,$query);
if(mysqli_num_rows($rquery) > 0){
	$temp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
	
	$query="select nombre_cliente from clienteweb where rfc_cliente='".$temp['rfc_cliente']."'";
	
	$rquery2 = mysqli_query($conexion->CONEXION,$query);
	if(mysqli_num_rows($rquery2) > 0){
		$temp2 = mysqli_fetch_array($rquery2,MYSQLI_ASSOC);
		$razonSocial=$temp2['nombre_cliente'];
	}
}


if(file_exists("config.ini")){
		$vlineas = file("config.ini");
		foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,17) == "CORREOACTIVACION="){
				$ParaEmail=trim(str_replace("CORREOACTIVACION=","",$sLinea));
			}else if(substr($sLinea,0,21) == "NOMBREPARAACTIVACION="){
				$ParaNombre=trim(str_replace("NOMBREPARAACTIVACION=","",$sLinea));
			}else if(substr($sLinea,0,27) == "CUERPO_CONFIRMA_ACTIVACION="){
				$body=trim(str_replace("CUERPO_CONFIRMA_ACTIVACION=","",$sLinea));
			}else if(substr($sLinea,0,27) == "ASUNTO_CONFIRMA_ACTIVACION="){
				$SubjectMessage=trim(str_replace("ASUNTO_CONFIRMA_ACTIVACION=","",$sLinea));
			}
		}
		$SubjectMessage=str_replace("<<RAZONSOCIALURL>>",$razonSocial,str_replace("<<CONTACTO>>",$contacto,str_replace("<<TELEFONO>>",$telefono,str_replace("<<USERNAME>>",$usr,str_replace("<<NOMBRE>>",$nombre,str_replace("<<EMAIL>>",$email,$SubjectMessage))))));
		$BodyHTMLFileMessage=str_replace("<<RAZONSOCIALURL>>",$razonSocial,str_replace("<<CONTACTO>>",$contacto,str_replace("<<TELEFONO>>",$telefono,str_replace("<<EMAIL>>",$email,str_replace("<<NOMBRE>>",$nombre,str_replace("<<USERNAME>>",$usr,file_get_contents($body)))))));
		$AdjuntoA="";
		$AdjuntoB="";
		$AdjuntoC="";
		
		$TIPO_CORREO = getINI("FUNCION_ENVIA_CORREO=","config.ini");
		$FROM = getINI("FROM_CORREO=","config.ini");
		if(strtoupper(trim($TIPO_CORREO)) == "MAIL"){
				if(!mail($ParaEmail,$SubjectMessage,$BodyHTMLFileMessage,'From: '.$FROM))
					echo "false";
				else
					echo "true";
		}else{
			if(!SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC))
				echo "false";
			else
				echo "true";
		}
}
?>